Page MenuHomePhabricator

Project suggestion dropdown should show more items than 5
Closed, ResolvedPublic

Description

Reported upstream: https://secure.phabricator.com/T6634

The auto-suggest for projects should show more items, currently I can't even see all of the hits for "wikidata". Currently 5 are shown. How about 15?

Resolved

  • Use the magnifying glass icon next to fields to see more than 5 results.

Event Timeline

JanZerebecki raised the priority of this task from to Needs Triage.
JanZerebecki updated the task description. (Show Details)
JanZerebecki added a project: Phabricator.
JanZerebecki changed Security from none to None.
JanZerebecki added a subscriber: JanZerebecki.
Qgil triaged this task as Medium priority.Nov 24 2014, 2:45 PM
Qgil added a subscriber: Qgil.

I can see the point for this. The limit of 5 looks quite arbitrary, good for regular organizations but maybe not for this one. Of course you can find all the "wikidata" projects using the Projects search

https://phabricator.wikimedia.org/project/query/HNQCdZlXmVjC/#R

but we cannot expects regular users to do so when reporting a bug.

(There are not five but six projects mentioning Wikidata; then again, we might have other popular names>)

I propose to file a task upstream. The fix seems to be simple.

Qgil renamed this task from project auto-suggest should show more items to Project auto-suggest should show more items.Nov 24 2014, 2:46 PM
Qgil edited projects, added Phabricator (Upstream); removed Phabricator.
Qgil moved this task from Backlog to Need Discussion on the Phabricator (Upstream) board.
Aklapper renamed this task from Project auto-suggest should show more items to Project suggestion dropdown should show more items than 5.Nov 24 2014, 9:44 PM
mmodell added a subscriber: mmodell.

I agree more than 5 would be nice

Qgil updated the task description. (Show Details)Nov 25 2014, 7:56 AM
Qgil moved this task from Need Discussion to Wikimedia requests on the Phabricator (Upstream) board.

I'll just paste the public IRC conversation:

Nov 24 23:44:28 <valhallasw`cloud> twentyafterfour: mm, though it would be in https://github.com/phacility/phabricator/blob/21dca29c5f2929064cfe969cfd4bd417df5621bf/src/applications/project/typeahead/PhabricatorProjectDatasource.php, but apparently not
Nov 24 23:45:58 <valhallasw`cloud> it's parent object https://github.com/phacility/phabricator/blob/21dca29c5f2929064cfe969cfd4bd417df5621bf/src/applications/typeahead/datasource/PhabricatorTypeaheadDatasource.php#L11 has a setLimit, though
Nov 25 01:05:14 <epriestley> twentyafterfour: this is the controlling limit for most typeheads/tokenizers:
Nov 25 01:05:14 <epriestley> https://secure.phabricator.com/diffusion/P/browse/master/webroot/rsrc/externals/javelin/lib/control/typeahead/source/TypeaheadSource.js;37d14a85b38f80e9c0c8b54ef208baffc7b910de$79
Nov 25 01:05:28 <epriestley> There's no way to globally bump it up, though. You could set that to 10 and nearly everything will respect it.
Nov 25 01:05:39 <epriestley> (A few override the default to set a different limit.)
Nov 25 01:11:30 <twentyafterfour> epriestley: Thanks! It's one specific instance that I'm mostly interested in but a global bump might be good
Nov 25 01:13:09 <twentyafterfour> wouldn't there be server-side limit? It doesn't look like the javelin code passes the result count to the server in the request...
Nov 25 01:23:23 <epriestley> I thiink it's derived from that display limit.
Nov 25 01:24:17 <epriestley> (There's also a second limit (which valhallasw`cloud linked earlier) but that's the limit on the number of tokens which are allowed in a field like "Subscribers:" -- some like a task "Assignee" permit only a single user, while others like "Subscribers" allow an unlimited number.)

Qgil added a comment.Dec 1 2014, 9:50 PM

Reply from upstream:

https://secure.phabricator.com/T3670 (Add subprojects) is the intended real fix for this problem. I want to do that first and make sure it's still an issue before changing constants.
See also https://secure.phabricator.com/T1906, for possibly adding a more browse/exploration-oriented UI to project selection.

Suprojects is an important Phabricator feature request from a Wikimedia point of view. Let's be patient (and/or proactive).

Why are there any non-sanity limits? Why can't we just have a scroll bar?

Qgil lowered the priority of this task from Medium to Lowest.Dec 3 2014, 10:19 AM

I don't think we are going to work actively on this in the short term. We will wait for upstream.

Qgil added a subscriber: chasemp.Dec 5 2014, 9:06 AM

Mmm... I'm not sure what changed, but typing "wiki" in the top bar search provides 10 suggestions now. For Wikidata I get 7.

Resolved?

Nothing changed. The limit was always different for the top search bar and the edit task project autocomplete.

As a workaround, execute

JX.TypeaheadSource.prototype.setMaximumResultCount(100)

in the javascript console (or a userscript).

Qgil added a comment.Dec 5 2014, 11:39 AM

Nothing changed.

Doh, sorry. This is what happens when you land here after digging into two search-related tasks.

FriedhelmW added a subscriber: FriedhelmW.
chasemp removed a subscriber: chasemp.Mar 11 2015, 9:01 PM
mmodell closed this task as Resolved.May 6 2015, 2:48 PM
mmodell claimed this task.

Use the magnifying glass icon next to fields to see more than 5 results.

As a workaround, execute

JX.TypeaheadSource.prototype.setMaximumResultCount(100)

in the javascript console (or a userscript).

I lost track of it and had to dig back through my IRC logs, so pasting here. @Quiddity made https://openuserjs.org/scripts/quiddity-wp/wikimedia_phabricator_suggestion_expander for convenience.

As a workaround, execute

JX.TypeaheadSource.prototype.setMaximumResultCount(100)

in the javascript console (or a userscript).

I lost track of it and had to dig back through my IRC logs, so pasting here. @Quiddity made https://openuserjs.org/scripts/quiddity-wp/wikimedia_phabricator_suggestion_expander for convenience.

onwiki links at https://www.mediawiki.org/wiki/Team_Practices_Group/Phabricator_tips/Maniphest#Autocomplete_limit (i can't see the Chrome version through, P2444 is access-restricted?)

Restricted Application added a subscriber: TerraCodes. · View Herald TranscriptMay 23 2016, 6:05 PM